package parser;

public final class Constraint {
	
	public final LinearFormular a;
	public final Comperator cmp;
	public final Constant b;

	public Constraint(LinearFormular a, Comperator cmp, Constant b) {
		this.a = a;
		this.cmp = cmp;
		this.b = b;
	}

	public String toString() {
		StringBuilder sb = new StringBuilder();
		
		sb.append(a);
		sb.append(' ');
		
		switch (cmp) {
		case LESS_EQUAL:
			sb.append("<=");
			break;
		case GREATER_EQUAL:
			sb.append(">=");
			break;
		case EQUAL:
			sb.append("=");
			break;
		}
		
		sb.append(' ');
		sb.append(b);
		
		return sb.toString();
	}
}
