package parser;

import java.util.Collection;

public final class LPProgram {
	
	public final Command cmd;
	public final LinearFormular z;
	public final Collection<Constraint> constraints;

	public LPProgram(Command cmd, LinearFormular z, Collection<Constraint> constraints) {
		this.cmd = cmd;
		this.z = z;
		this.constraints = constraints;
	}

	public String toString() {
		StringBuilder sb = new StringBuilder();
		
		sb.append(cmd);
		sb.append(' ');
		sb.append(z);
		sb.append('\n');
		
		for (Constraint constraint : constraints) {
			sb.append(constraint);
			sb.append('\n');
		}
		
		return sb.toString();
	}
}
